Featureset Versions - Create Or Update
バージョンを作成または更新します。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{name}/versions/{version}?api-version=2026-03-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
name
|
path | True |
string |
コンテナー名。 大文字と小文字が区別されます。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前の大文字と小文字は区別されません。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
version
|
path | True |
string |
バージョン識別子。 大文字と小文字が区別されます。 |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Azure Machine Learning ワークスペース名 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求本文
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| properties | True |
[必須]エンティティの追加の属性。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
リソース「FeaturesetVersion」更新操作が成功しました |
|
| 201 Created |
要求が成功し、結果として新しいリソースが作成されました。 ヘッダー
|
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
CreateOrUpdate Workspace Featureset Version.
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions/string?api-version=2026-03-01
{
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobFailed"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Day",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Monday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "Online"
},
"properties": {
"string": "string"
},
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
}
}
応答のサンプル
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobFailed"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Day",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Wednesday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "OnlineAndOffline"
},
"properties": {
"string": "string"
},
"provisioningState": "Deleting",
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:52",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:52",
"lastModifiedBy": "string",
"lastModifiedByType": "User"
}
}
{
"name": "string",
"type": "string",
"id": "string",
"properties": {
"description": "string",
"entities": [
"string"
],
"isAnonymous": false,
"isArchived": false,
"materializationSettings": {
"notification": {
"emailOn": [
"JobCancelled"
],
"emails": [
"string"
]
},
"resource": {
"instanceType": "string"
},
"schedule": {
"endTime": "string",
"frequency": "Hour",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"monthDays": [
1
],
"weekDays": [
"Wednesday"
]
},
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence"
},
"sparkConfiguration": {
"string": "string"
},
"storeType": "Offline"
},
"properties": {
"string": "string"
},
"provisioningState": "Failed",
"specification": {
"path": "string"
},
"stage": "string",
"tags": {
"string": "string"
}
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:52",
"createdBy": "string",
"createdByType": "Application",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:52",
"lastModifiedBy": "string",
"lastModifiedByType": "Key"
}
}
定義
| 名前 | 説明 |
|---|---|
|
Asset |
レジストリ資産のプロビジョニング状態。 |
|
Azure |
Azure DevOps に固有の Webhook の詳細 |
|
created |
リソースを作成した ID の種類。 |
|
Email |
Enumを使用して、電子メール通知タイプを決定します。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Featureset |
仕様を表す DTO オブジェクト |
|
Featureset |
Azure Resource Manager リソース エンベロープ。 |
|
Featureset |
機能セットのバージョンを表す DTO オブジェクト |
|
Materialization |
コンピューティング リソースを表す DTO オブジェクト |
|
Materialization |
|
|
Materialization |
具体化の対象となるストアを指定します。 |
|
Notification |
通知の構成。 |
|
Recurrence |
繰り返しスケジュールの頻度を記述する列挙型 |
|
Recurrence |
|
|
Recurrence |
|
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
|
Trigger |
|
|
Webhook |
Webhook コールバック サービスの種類を決定するための列挙型。 |
|
Week |
平日の列挙型 |
AssetProvisioningState
レジストリ資産のプロビジョニング状態。
| 値 | 説明 |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Updating | |
| Deleting |
AzureDevOpsWebhook
Azure DevOps に固有の Webhook の詳細
| 名前 | 型 | 説明 |
|---|---|---|
| eventType |
string |
指定した通知イベントのコールバックを送信する |
| webhookType |
string:
Azure |
[必須]コールバックを送信するサービスの種類を指定します |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EmailNotificationEnableType
Enumを使用して、電子メール通知タイプを決定します。
| 値 | 説明 |
|---|---|
| JobCompleted | |
| JobFailed | |
| JobCancelled |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
FeaturesetSpecification
仕様を表す DTO オブジェクト
| 名前 | 型 | 説明 |
|---|---|---|
| path |
string |
スペック パスを指定します |
FeaturesetVersion
Azure Resource Manager リソース エンベロープ。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties |
[必須]エンティティの追加の属性。 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
FeaturesetVersionProperties
機能セットのバージョンを表す DTO オブジェクト
| 名前 | 型 | 規定値 | 説明 |
|---|---|---|---|
| description |
string |
資産の説明テキスト。 |
|
| entities |
string[] |
エンティティの一覧を指定します |
|
| isAnonymous |
boolean |
False |
名前のバージョンがシステムによって生成された場合 (匿名登録)。 |
| isArchived |
boolean |
False |
資産はアーカイブされていますか? |
| materializationSettings |
具体化の設定を指定します |
||
| properties |
object |
資産プロパティ ディクショナリ。 |
|
| provisioningState |
機能セット バージョン コンテナーのプロビジョニング状態。 |
||
| specification |
機能スペックの詳細を指定します |
||
| stage |
string |
資産ステージを指定します |
|
| tags |
object |
タグ ディクショナリ。 タグは追加、削除、更新できます。 |
MaterializationComputeResource
コンピューティング リソースを表す DTO オブジェクト
| 名前 | 型 | 説明 |
|---|---|---|
| instanceType |
string |
インスタンスの種類を指定します |
MaterializationSettings
| 名前 | 型 | 規定値 | 説明 |
|---|---|---|---|
| notification |
通知の詳細を指定します |
||
| resource |
コンピューティング リソースの設定を指定します |
||
| schedule |
スケジュールの詳細を指定します |
||
| sparkConfiguration |
object |
Spark コンピューティング設定を指定します |
|
| storeType | None |
具体化の対象となるストアを指定します。 |
MaterializationStoreType
具体化の対象となるストアを指定します。
| 値 | 説明 |
|---|---|
| None | |
| Online | |
| Offline | |
| OnlineAndOffline |
NotificationSetting
通知の構成。
| 名前 | 型 | 説明 |
|---|---|---|
| emailOn |
指定した通知の種類でユーザーに電子メール通知を送信する |
|
| emails |
string[] |
これは、コンマ区切り記号付きの合計 concat で 499 文字の制限がある電子メール受信者リストです |
| webhooks |
object |
Webhook コールバックをサービスに送信します。 キーは、Webhook のユーザー指定の名前です。 |
RecurrenceFrequency
繰り返しスケジュールの頻度を記述する列挙型
| 値 | 説明 |
|---|---|
| Minute |
分単位の頻度 |
| Hour |
時間周波数 |
| Day |
日の頻度 |
| Week |
週の頻度 |
| Month |
月の頻度 |
RecurrenceSchedule
| 名前 | 型 | 説明 |
|---|---|---|
| hours |
integer[] (int32) |
[必須]スケジュールの時間の一覧。 |
| minutes |
integer[] (int32) |
[必須]スケジュールの分の一覧。 |
| monthDays |
integer[] (int32) |
スケジュールの月日の一覧 |
| weekDays |
Week |
スケジュールの日数の一覧。 |
RecurrenceTrigger
| 名前 | 型 | 規定値 | 説明 |
|---|---|---|---|
| endTime |
string |
スケジュールの終了時刻を ISO 8601 で指定しますが、UTC オフセットは指定しません。 https://en.wikipedia.org/wiki/ISO_8601を参照してください。 コメントされた形式は「2022-06-01T00:00:01」になります。存在しない場合、スケジュールは無期限に実行されます |
|
| frequency |
[必須]スケジュールをトリガーする頻度。 |
||
| interval |
integer (int32) |
[必須]スケジュール間隔を頻度と組み合わせて指定します |
|
| schedule |
繰り返しスケジュール。 |
||
| startTime |
string |
スケジュールの開始時刻を ISO 8601 形式で指定しますが、UTC オフセットは指定しません。 |
|
| timeZone |
string |
UTC |
スケジュールを実行するタイム ゾーンを指定します。 TimeZoneはWindowsのタイムゾーン形式に従うべきです。 以下を参照してください。 https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/default-time-zones?view=windows-11 |
| triggerType |
string:
Recurrence |
[Required] |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
TriggerType
| 値 | 説明 |
|---|---|
| Recurrence | |
| Cron |
WebhookType
Webhook コールバック サービスの種類を決定するための列挙型。
| 値 | 説明 |
|---|---|
| AzureDevOps |
WeekDay
平日の列挙型
| 値 | 説明 |
|---|---|
| Monday |
月曜日 平日 |
| Tuesday |
火曜日 平日 |
| Wednesday |
水曜日 平日 |
| Thursday |
木曜日 平日 |
| Friday |
金曜日 平日 |
| Saturday |
土曜日 平日 |
| Sunday |
日曜日 平日 |